=== debian/changelog ===
donut-shellcode (0.9.3+git20220530.e75bdcd-0parrot2) lory-updates; urgency=medium

  * Fix control file.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 02 Dec 2023 01:51:26 +0100

donut-shellcode (0.9.3+git20220530.e75bdcd-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:45:33 +0200

donut-shellcode (0.9.3+git20220530.e75bdcd-0kali2) kali-dev; urgency=medium

  * Do not build with aPLib: the build uses binary files only available for
    i386 and amd64

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Jun 2022 16:18:59 +0200

donut-shellcode (0.9.3+git20220530.e75bdcd-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * New upstream version 0.9.3+git20220530.e75bdcd from repo
    https://github.com/BC-SECURITY/donut to get a fix for Python 3.10. Do not
    change the upstream repo for the moment.

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Jun 2022 12:20:29 +0200

donut-shellcode (0.9.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Mar 2020 17:33:15 +0100
