=== debian/changelog ===
donut-shellcode (1.1-0kali3) kali-dev; urgency=medium

  * Add donut binary package
  * Add superficial tests
  * Replace donut <=1.1-0kali2

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 10 Mar 2025 16:50:28 +0100

donut-shellcode (1.1-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 1.1
  * Refresh patches
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Jan 2025 10:47:54 +0100
