=== debian/tests/control ===
Test-Command: donut -h
Restrictions: superficial
