=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%donut-shellcode-$1.tar.gz%" \
   https://github.com/TheWover/donut/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
